[Testing Update] 2016-10-03 - Kernel v4.8, Steam, OpenRC, Python

4.8 is currently only available in testing branch.
If you don’t want to be testing, you should probably be running stable branch. Its only about a week or so behind testing anyway.

Install both. That’s why we have testing!

4 Likes

We landed some more fixes. This time with systemd, qt4/5, python, updated linux-rt-lts-manjaro and mariadb. Hope this will stabilize some more …

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community i686:  32 new and 31 removed package(s)
 - testing community x86_64:  49 new and 48 removed package(s)
 - testing core i686:  3 new and 3 removed package(s)
 - testing core x86_64:  3 new and 3 removed package(s)
 - testing extra i686:  22 new and 23 removed package(s)
 - testing extra x86_64:  22 new and 23 removed package(s)

Archlinux upstream fixes are now from: Tue Oct 04 20:52 CEST 2016

:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                              bcg729              1.0.1-2              1.0.1-3
                               bmake           20160818-1           20160926-1
                              eslint              3.7.0-1              3.7.1-1
                            filebeat              1.2.3-1              1.3.1-1
                           filezilla             3.21.0-1             3.22.1-1
                               ginac              1.7.0-1              1.7.1-1
                     gnome-commander              1.4.9-1              1.6.0-1
                             hostapd                2.5-2                2.6-2
                        libfilezilla              0.6.1-1              0.7.1-1
                         libu2f-host              1.1.2-1              1.1.3-1
                             netdata              1.3.0-2              1.4.0-1
                                 nim             0.14.2-2             0.15.0-1
                             opencsg              1.4.0-5              1.4.2-1
                          packetbeat              1.2.3-1              1.3.1-1
                              pdfsam              3.2.1-1              3.2.2-1
                                pigz              2.3.3-1              2.3.4-1
                         python-cmd2              0.6.8-2              0.6.9-1
                 python-openstacksdk              0.9.7-1              0.9.8-1
                       python-peewee              2.8.4-1              2.8.5-1
                        python2-cmd2              0.6.8-2              0.6.9-1
                python2-openstacksdk              0.9.7-1              0.9.8-1
                      python2-peewee              2.8.4-1              2.8.5-1
                        python2-yapf             0.12.0-1             0.12.1-1
                                qmmp              1.1.3-1              1.1.4-1
                         qt5-systems     5.4.0.20160303-1     5.4.0.20160303-2
                                qtav             1.11.0-1             1.11.0-2
                           syncthing             0.14.7-1             0.14.8-1
                  syncthing-relaysrv             0.14.7-1             0.14.8-1
                             topbeat              1.2.3-1              1.3.1-1
                                yapf             0.12.0-1             0.12.1-1
                                 yaz             5.16.0-1             5.17.0-1
                          mustache-d                    -              0.1.1-1


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                linux-rt-lts-manjaro        4.4.21_rt30-1        4.4.21_rt31-1
      linux-rt-lts-manjaro-acpi_call              1.1.0-5              1.1.0-6
       linux-rt-lts-manjaro-bbswitch                0.8-5                0.8-6
    linux-rt-lts-manjaro-broadcom-wl       6.30.223.248-5       6.30.223.248-6
       linux-rt-lts-manjaro-catalyst      1:15.201.1151-5      1:15.201.1151-6
        linux-rt-lts-manjaro-headers        4.4.21_rt30-1        4.4.21_rt31-1
    linux-rt-lts-manjaro-ndiswrapper               1.59-5               1.59-6
         linux-rt-lts-manjaro-nvidia           1:370.28-2           1:370.28-3
   linux-rt-lts-manjaro-nvidia-304xx            304.132-1            304.132-2
       linux-rt-lts-manjaro-nvidiabl               0.88-5               0.88-6
linux-rt-lts-manjaro-open-vm-tools-modules 2:2013.09.16-5       2:2013.09.16-6
          linux-rt-lts-manjaro-r8168           8.040.00-5           8.040.00-6
      linux-rt-lts-manjaro-rt3562sta         2.4.1.1_r3-5         2.4.1.1_r3-6
       linux-rt-lts-manjaro-tp_smapi               0.41-5               0.41-6
    linux-rt-lts-manjaro-vhba-module           20140629-5           20140629-6
linux-rt-lts-manjaro-virtualbox-guest-modules     5.1.6-2              5.1.6-3
linux-rt-lts-manjaro-virtualbox-host-modules      5.1.6-2              5.1.6-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                              bcg729              1.0.1-2              1.0.1-3
                               bmake           20160818-1           20160926-1
                              eslint              3.7.0-1              3.7.1-1
                            filebeat              1.2.3-1              1.3.1-1
                           filezilla             3.21.0-1             3.22.1-1
                               ginac              1.7.0-1              1.7.1-1
                     gnome-commander              1.4.9-1              1.6.0-1
                             hostapd                2.5-2                2.6-2
                        libfilezilla              0.6.1-1              0.7.1-1
                         libu2f-host              1.1.2-1              1.1.3-1
                             netdata              1.3.0-2              1.4.0-1
                                 nim             0.14.2-2             0.15.0-1
                             opencsg              1.4.0-5              1.4.2-1
                          packetbeat              1.2.3-1              1.3.1-1
                              pdfsam              3.2.1-1              3.2.2-1
                                pigz              2.3.3-1              2.3.4-1
                         python-cmd2              0.6.8-2              0.6.9-1
                 python-openstacksdk              0.9.7-1              0.9.8-1
                       python-peewee              2.8.4-1              2.8.5-1
                        python2-cmd2              0.6.8-2              0.6.9-1
                python2-openstacksdk              0.9.7-1              0.9.8-1
                      python2-peewee              2.8.4-1              2.8.5-1
                        python2-yapf             0.12.0-1             0.12.1-1
                                qmmp              1.1.3-1              1.1.4-1
                         qt5-systems     5.4.0.20160303-1     5.4.0.20160303-2
                                qtav             1.11.0-1             1.11.0-2
                           syncthing             0.14.7-1             0.14.8-1
                  syncthing-relaysrv             0.14.7-1             0.14.8-1
                             topbeat              1.2.3-1              1.3.1-1
                                yapf             0.12.0-1             0.12.1-1
                                 yaz             5.16.0-1             5.17.0-1
                          mustache-d                    -              0.1.1-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                          libsystemd                231-1                231-3
                             systemd                231-1                231-3
                  systemd-sysvcompat                231-1                231-3


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                          libsystemd                231-1                231-3
                             systemd                231-1                231-3
                  systemd-sysvcompat                231-1                231-3


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                 xfce4-volumed-pulse              0.2.0-3              0.2.2-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                              deluge             1.3.13-1  1.3.13+2+g6c73105-1
                           fontforge           20160404-1           20161004-1
                    libmariadbclient            10.1.17-1            10.1.18-1
                             mariadb            10.1.17-1            10.1.18-1
                     mariadb-clients            10.1.17-1            10.1.18-1
                               mytop            10.1.17-1            10.1.18-1
                      perl-dbd-mysql              4.036-1              4.037-1
                             postfix              3.1.2-1              3.1.3-1
                             qca-qt4              2.1.1-5              2.1.1-6
                             qca-qt5              2.1.1-5              2.1.1-6
                                 qt4              4.8.7-9             4.8.7-10
                              qt5-3d              5.7.0-2              5.7.0-3
                            qt5-base              5.7.0-2              5.7.0-3
                    qt5-connectivity              5.7.0-1              5.7.0-2
                     qt5-declarative              5.7.0-2              5.7.0-3
                           qt5-scxml              5.7.0-1              5.7.0-2
                       qt5-serialbus              5.7.0-1              5.7.0-2
                           qt5-tools              5.7.0-1              5.7.0-2
                         qt5-wayland              5.7.0-2              5.7.0-3
                     qt5-xmlpatterns              5.7.0-1              5.7.0-2
                           qtchooser                 53-2                    -
                                 snd               16.3-1               16.8-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                 xfce4-volumed-pulse              0.2.0-3              0.2.2-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2016-10-04           2016-10-04
-------------------------------------------------------------------------------
                              deluge             1.3.13-1  1.3.13+2+g6c73105-1
                           fontforge           20160404-1           20161004-1
                    libmariadbclient            10.1.17-1            10.1.18-1
                             mariadb            10.1.17-1            10.1.18-1
                     mariadb-clients            10.1.17-1            10.1.18-1
                               mytop            10.1.17-1            10.1.18-1
                      perl-dbd-mysql              4.036-1              4.037-1
                             postfix              3.1.2-1              3.1.3-1
                             qca-qt4              2.1.1-5              2.1.1-6
                             qca-qt5              2.1.1-5              2.1.1-6
                                 qt4              4.8.7-9             4.8.7-10
                              qt5-3d              5.7.0-2              5.7.0-3
                            qt5-base              5.7.0-2              5.7.0-3
                    qt5-connectivity              5.7.0-1              5.7.0-2
                     qt5-declarative              5.7.0-2              5.7.0-3
                           qt5-scxml              5.7.0-1              5.7.0-2
                       qt5-serialbus              5.7.0-1              5.7.0-2
                           qt5-tools              5.7.0-1              5.7.0-2
                         qt5-wayland              5.7.0-2              5.7.0-3
                     qt5-xmlpatterns              5.7.0-1              5.7.0-2
                           qtchooser                 53-2                    -
                                 snd               16.3-1               16.8-1
1 Like

I got update a couple minutes ago and this cause the screen flickering (screen crash), I waited a while for finishing the update, but after restarting the computer everything works fine again. Just want to warn to if encounter this issue just wait and the restart the computer

Graphics:  Card: Advanced Micro Devices [AMD/ATI] RV710/M92 [Mobility Radeon HD 4530/4570/545v]
           bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 driver: radeon
           Resolution: 1366x768@60.11hz
           GLX Renderer: Gallium 0.4 on AMD RV710 (DRM 2.45.0 / 4.7.6-1-MANJARO, LLVM 3.8.1)
           GLX Version: 3.0 Mesa 12.0.3 Direct Rendering: Yes


--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
         video-ati-hwe            2016.09.13                true            PCI
`Xfce Linux47 Testing branch`
1 Like

Kernel 4.8 has a very bad relation with the discrete nvidia driver. Its just not usable, at least on bumblebee

This happened to me, as well. I waited until I didn’t hear any more hard drive activity, then typed “sudo reboot,” even though it wasn’t clear I was on a command line. Everything seems fine upon re-booting into XFCE – will update a few other DE’s to see if the same thing happens.

$ inxi -Fz
System:    Host: manjaro Kernel: 4.7.6-1-MANJARO x86_64 (64 bit)
           Desktop: Xfce 4.12.3 Distro: Manjaro Linux
Machine:   System: Acer (portable) product: Aspire E5-551 v: V1.08
           Mobo: Acer model: EA50_KV v: V1.08
           UEFI: Insyde v: V1.08 date: 08/22/2014
Battery    BAT1: charge: 47.6 Wh 100.0% condition: 47.6/50.4 Wh (94%)
CPU:       Dual core AMD A10-7300 Radeon R6 10 Compute Cores 4C+6G (-HT-MCP-) cache: 4096 KB 
           clock speeds: max: 1900 MHz 1: 1500 MHz 2: 1800 MHz 3: 1500 MHz
           4: 1200 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Kaveri [Radeon R6 Graphics]
           Display Server: X.Org 1.18.4 driver: radeon
           Resolution: 1366x768@60.02hz
           GLX Renderer: Gallium 0.4 on AMD KAVERI (DRM 2.45.0 / 4.7.6-1-MANJARO, LLVM 3.8.1)
           GLX Version: 3.0 Mesa 12.0.3

UPDATE: Screen crashed just as systemd updated on every one of my installations – KDE, LXDE, XFCE and Cinnamon on the above machine, XFCE and LXQt on another laptop with AMD graphics. In every case, waiting a while and then rebooting did the trick.

I had to remove qtchooser (53-2) cause of the upgrade of qt5-base (5.7.0-2 -> 5.7.0-3).

Having also problems with the graphics, black line on the top where all i write is also written. :confused:

Will now reboot.

For all those having problems with Kernel 4.8, i made a topic even i posted only journallog so far: Crash


Edit:
VERY unpleasant: ALT+F4 does not close the window but switches to TTY 4 ! :angry:


Edit2:

After Reboot all seems normal to me on first sight.

I don’t know why you guys got crashes. Which kernel was used and which graphic driver?

My system freezed a couple of times short time after boot finished. Hard power off was needed. Some other times all is OK. Kernel 4.8, intel video driver.

1 Like

I had a freeze yesterday, on kernel 4.8, nvidia. Installed 4.7 for now.

Same here. Will be continue using 4.7 and test 4.8 every time there is a new version. Luckily the cold-reboots never let to dataloss so far.
BTWm no Nvidia here.

I get mysterious freezes from time to time using kernel 4.8.0. They occur randomly 1-2 times every 24 hours, regardless if I’m actively using the computer or left it idling for hours.

A cold reboot is the only thing I can do. It doesn’t occur with kernel 4.7.x and I’ve never had anything similar with any kernel I used previously. I’ll stay with 4.7 until 4.8.1 is released and try it out.

Using proprietary Nvidia drivers, Cinnamon and BTRFS.

Update: A reboot got alt+f4 working again.

1 Like

Pamac did another update just now:

fontforge-20161004-1 libsystemd-231-3 pigz-2.3.4-1 qt4-4.8.7-10
qt5-base-5.7.0-3 qt5-declarative-5.7.0-3 qt5-tools-5.7.0-2
qt5-xmlpatterns-5.7.0-2 qtchooser-53-2 [remove] systemd-231-3
systemd-sysvcompat-231-3

…and now I also get alt+f4 switching to tty4 instead of closing a window! I’ll report once I update later today if it solves it.

1 Like

This is my another machine at work and it unstable branch with Xfce kernel47. I got some updates a couple minutes ago and same result with my previous post.

 Graphics:  Card: Advanced Micro Devices [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series]
           bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 driver: radeon
           Resolution: 1920x1080@60.00hz
           GLX Renderer: Gallium 0.4 on AMD CEDAR (DRM 2.45.0 / 4.7.6-1-MANJARO, LLVM 3.8.1)
           GLX Version: 3.0 Mesa 12.0.3 Direct Rendering: Yes

I’ve found from journalctl that last time it freezed while updating mandb. The last entry of that boot:

Oct 05 07:50:29 andrey-manjaro systemd[1]: Started Update man-db cache.

My experience was the same. Intel drivers, 4.8 kernel.

During the update I was AFK for a short while and when I got back I see the tty1 with some text which shows when you run startx. (I use to log in with xinitrc.) Then I tried to Ctrl+Alt+F2 and got anLXQt session with a qterminal open an pacli start dialog in it. (I ran that update with pacli.) Same with all the other tty. The pacman.log seems OK.

[2016-10-05 15:07] [ALPM] transaction started
[2016-10-05 15:07] [ALPM] removed qtchooser (53-2)
[2016-10-05 15:07] [ALPM] upgraded libsystemd (231-1 -> 231-3)
[2016-10-05 15:07] [ALPM] upgraded pigz (2.3.3-1 -> 2.3.4-1)
[2016-10-05 15:07] [ALPM] upgraded systemd (231-1 -> 231-3)
[2016-10-05 15:07] [ALPM] upgraded qt5-base (5.7.0-2 -> 5.7.0-3)
[2016-10-05 15:07] [ALPM] upgraded qt5-xmlpatterns (5.7.0-1 -> 5.7.0-2)
[2016-10-05 15:07] [ALPM] upgraded qt5-declarative (5.7.0-2 -> 5.7.0-3)
[2016-10-05 15:07] [ALPM] upgraded qt5-tools (5.7.0-1 -> 5.7.0-2)
[2016-10-05 15:07] [ALPM] upgraded systemd-sysvcompat (231-1 -> 231-3)
[2016-10-05 15:07] [ALPM] transaction completed
[2016-10-05 15:07] [ALPM] running 'gtk-update-icon-cache.hook'...
[2016-10-05 15:07] [ALPM] running 'udev-hwdb.hook'...
[2016-10-05 15:07] [ALPM] running 'update-desktop-database.hook'...

After reboot there are no problems.

1 Like

I got the same this morning in unstable (there was almost only systemd update). I thought first I already asked to reboot but I was sure I didn’t. I went to TTY 2 and back to X with alt-F1 and all was OK, my terminal was still open with the result of update) Weird. I didn’t understood :wink:

I blame systemd.

1 Like

Saw this > https://www.reddit.com/r/archlinux/comments/55tmtp/beware_the_new_systemd_update/
and wondering if in fact systemd is causing the issues described.

Indeed, I have tested this kernel on two machines and I got crashes on one of them. Maybe all this is related with this nasty bug

5 Likes

Forum kindly sponsored by Bytemark